{% extends 'layout.html' %} {% load static %}

{% block title %}
Master Status Tiket
{% endblock title %}

{% block js %}
<script src="{% static 'scripts/adminSatgas/status_tiket.js' %}"></script>
{% endblock js %}

{% block content %}
{% include 'navbar.html' %}
<div class="container mb-5" style="width: 50rem;">
    <br><br><br>
    <h1 class="text-center m-10">Master Status Tiket</h1><br><br>
    <table class="table table-striped table-bordered align-middle">
        <thead>
            <tr class="table-success" style="text-align:center;">
                <th>No.</th>
                <th>Kode Status</th>
                <th>Nama Status</th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody>
            
            {% for status in status_list %}
            <tr style="text-align:center">
                <td>{{ forloop.counter }}</td>
                <td>{{ status.kode }}</td>
                <td>{{ status.nama_status }}</td>
                <td>
                    <button type="button" class="btn btn-primary update-button">Edit</button>
                    <button type="button" class="btn btn-danger delete-button">Hapus</button>
                </td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
    <div class="d-grid">
        <button type="button" class="btn btn-primary add-button">Tambah Status Tiket</button>
    </div>
</div>

<!-- MODAL CREATE STATUS TIKET -->
<div class="modal fade" tabindex="-1" role="dialog" id="create-status-tiket-modal">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Tambah Status Tiket</h4>
            </div>
            <form action="{% url 'create-status-tiket-satgas' %}" method="post">
                {% csrf_token %}
                <div class="modal-body">
                    <div class="mb-3">
                        <label for="create-kode-status" class="col-form-label">Kode:</label>
                        <input type="text" class="form-control" id="create-kode-status" name="create-kode-status"
                            maxlength="2" value="{{ kode }}">
                    </div>
                    <div class="mb-3">
                        <label for="-create-nama-status" class="col-form-label">Nama Status:</label>
                        <input type="text" class="form-control" id="create-nama-status" name="create-nama-status"
                            maxlength="30">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary cancel-button">Cancel</button>
                    <input type="submit" class="btn btn-primary confirm-button" value="Tambah">
                </div>
            </form>
        </div>
    </div>
</div>

<!-- MODAL UPDATE STATUS TIKET -->
<div class="modal fade" tabindex="-1" role="dialog" id="update-status-tiket-modal">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Ubah Status Tiket</h4>
            </div>
            <form action="{% url 'update-status-tiket-satgas' %}" method="post">
                {% csrf_token %}
                <div class="modal-body">
                    <div class="mb-3">
                        <label for="update-kode-status" class="col-form-label">Kode:</label>
                        <input type="text" class="form-control" id="update-kode-status" name="update-kode-status"
                            maxlength="2" readonly>
                    </div>
                    <div class="mb-3">
                        <label for="update-nama-status" class="col-form-label">Nama Status:</label>
                        <input type="text" class="form-control" id="update-nama-status" name="update-nama-status"
                            maxlength="30">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary cancel-button">Cancel</button>
                    <input type="submit" class="btn btn-primary confirm-button" value="Ubah">
                </div>
            </form>
        </div>
    </div>
</div>

<!-- MODAL DELETE STATUS TIKET -->
<div class="modal fade" tabindex="-1" role="dialog" id="delete-status-tiket-modal">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Hapus Status Tiket</h4>
            </div>
            <form action="{% url 'delete-status-tiket-satgas' %}" method="post">
                {% csrf_token %}
                <div class="modal-body">
                    <div class="mb-3" hidden>
                        <label for="delete-kode-status" class="col-form-label">Kode:</label>
                        <input type="text" class="form-control" id="delete-kode-status" name="delete-kode-status"
                            maxlength="2" readonly>
                    </div>
                    <div class="mb-3" hidden>
                        <label for="delete-nama-status" class="col-form-label">Nama Status:</label>
                        <input type="text" class="form-control" id="delete-nama-status" name="delete-nama-status"
                            maxlength="30" readonly>
                    </div>
                    <div class="mb-3">
                        <p class="delete-text"></p>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary cancel-button">Cancel</button>
                    <input type="submit" class="btn btn-danger confirm-button" value="Hapus">
                </div>
            </form>
        </div>
    </div>
</div>
{% endblock content %}